Public Class Zeiterfassung

    Private Sub Zeiterfassung_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load


    End Sub

    Private Sub SetupPfad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SetupPfad.Click

        ' Hier whlen wir ein zu bertragendes Setup aus
        m_sSetupFile = String.Empty
        With FileDialog
            .FileName = ""
            .CheckFileExists = True : .CheckPathExists = True
            .Filter = "MasterIV Gertedatei (*.aes)|*.aes|" & _
                      "All Files (*.*)|*.*"
            .Multiselect = False : .ReadOnlyChecked = False
            .RestoreDirectory = True : .ShowHelp = False
            .Title = "Select Setup-File - DFComLL Sample."
            .ShowDialog(Me)
            m_sSetupPath = .FileName.Substring(0, (.FileName.LastIndexOf("\") + 1))
            m_sSetupFile = .FileName.ToString().Trim()
        End With

        txSetupFile.Text = m_sSetupFile

    End Sub

    Private Sub ListenPfad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListenPfad.Click

        ' Hier geben wir den Listenpfad an
        m_sListPath = String.Empty
        With FolderBrowser

            .ShowDialog(Me)
            m_sListPath = .SelectedPath()
        End With
        txListPath.Text = m_sListPath

    End Sub

    Private Sub DatenPfad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DatenPfad.Click

        ' Hier geben wir den Datenpfad an
        m_sDataPath = String.Empty
        With FolderBrowser

            .ShowDialog(Me)
            m_sDataPath = .SelectedPath()
        End With
        txDataPath.Text = m_sDataPath

    End Sub

    Private Sub ListenEditPfad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListenEditPfad.Click

        RichDataBox.Text = ""

        ' Welche Liste soll bearbeitet werden
        m_sListEditPath = String.Empty
        With FileDialog
            .FileName = ""
            .CheckFileExists = True : .CheckPathExists = True
            .Filter = "Listendaten (*.txt)|*.txt|" & _
                      "All Files (*.*)|*.*"
            .Multiselect = False : .ReadOnlyChecked = False
            .RestoreDirectory = True : .ShowHelp = False
            .Title = "Select List-File - DFComLL Sample."
            .ShowDialog(Me)
            m_sListEditPath = .FileName.ToString().Trim()
        End With
        txListEditPath.Text = m_sListEditPath

        If Not (m_sListEditPath = "") Then
            Using sr As IO.StreamReader = New IO.StreamReader(m_sListEditPath, System.Text.Encoding.Default)
                Dim line As String
                ' Hier lesen wir Zeilenweise den Inhalt der Datei
                Do
                    line = sr.ReadLine()
                    If Not (line Is Nothing) Then
                        RichDataBox.AppendText(line)
                        RichDataBox.AppendText(vbCrLf)
                    End If
                Loop Until line Is Nothing
                sr.Close()
            End Using
        End If
        ' Inhalt der Liste in die RichTextBox laden


    End Sub

    Private Sub btSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btSave.Click

        ' Hier speichern wir die nderungen
        RichDataBox.SaveFile(m_sListEditPath, RichTextBoxStreamType.PlainText)
        RichDataBox.Text = ""


    End Sub
End Class