#ifndef _DFLOG_CHECK_H_
#define _DFLOG_CHECK_H_

// YYYY_MM_DD_DFComDLL_channelID.log
#define LOG_FILENAME         "%s%s20%02i_%02i_%02i_DFComDLL_%i.log"
#define LOG_LIST_FILENAME_TXT    "%s20%02i_%02i_%02i_%02i_%02i_%02i_%s_%i.txt"
#define LOG_LIST_FILENAME_BIN    "%s20%02i_%02i_%02i_%02i_%02i_%02i_%s_%i.bin"
#define LOG_SEARCH_FILENAME  "%s%s20??_??_??_DFComDLL_*.log"
#define LOG_DELETE_FILENAME  "%s%s%s"

class CDFLogCheck
{
public:
	CDFLogCheck();
	virtual ~CDFLogCheck();

// Operationen
public:
	int Check();

// Attribute
public:
	// Zugewiesene Kanalnummer
	short m_channelID;
	char m_szBasePath[260];   // Basispfad fuer Log
	char m_szSubFolder[80];   // Unterordner fuer Logdateien

};

#endif
